#include <cppunit/TestFixture.h>
#include <cppunit/TestCaller.h>
#include <cppunit/extensions/TestFactoryRegistry.h>
#include <cppunit/extensions/HelperMacros.h>
#include "../inputCouche.h"
#include <vector>

class InputCoucheTest : public CppUnit::TestFixture  {
      CPPUNIT_TEST_SUITE( InputCoucheTest );
      CPPUNIT_TEST( testActivate );
      CPPUNIT_TEST( testGetChange );
      CPPUNIT_TEST( testCopy );
      CPPUNIT_TEST_EXCEPTION( testActivateWrongSize, std::string);
      CPPUNIT_TEST_SUITE_END();
private:
    InputCouche Input1;// un evenement a tester
    InputCouche Input2;// un deuxieme evenement a tester
public:
    void setUp();
    void tearDown();
    void testActivate();
    void testActivateWrongSize();
    void testGetChange();
    void testCopy();
};
